/* HEADER SECTION start */
.header {
  padding: 26px 0;
  position: absolute;
  top: 0;
  z-index: 100;
  width: 100%;
}

.header__box {
}

.header__content {
  display: flex;
  justify-content: space-between;
  gap: 20px;
  position: relative;
}

.header__catalog {
  position: relative;
  z-index: 40;
}

.header__catalog-name {
}

.header__name {
  font-size: 14px;
  text-transform: uppercase;
  color: var(--textColor);
  letter-spacing: 4px;
}

.header__catalog-img {
}

.header__logo {
  position: absolute;
  top: 0;
  display: block;
  width: 100%;
  z-index: 20;
  display: flex;
  justify-content: center;
  align-items: center;
}

.header__logo-img {
}

.header__btnMenu {
  position: relative;
  z-index: 40;
}

.header__btnMenu-name {
}

.header__btnMenu-btn {
}

.header__btnMenu-line {
  width: 26px;
  height: 2px;
  border-radius: 2px;
  background: var(--textColor);
  position: relative;

  &::after,
  &::before {
    content: "";
    width: 16px;
    height: 2px;
    border-radius: 2px;
    background: var(--textColor);
    position: absolute;
    bottom: 7px;
    left: 4px;
    transition: all 0.15s linear;
  }

  &::before {
    top: 7px;
  }
}

@media (hover: hover) {
  .header__catalog:hover {
    .header__catalog-img-img {
      transform: rotate(45deg);
    }
  }

  .header__btnMenu:hover {
    .header__btnMenu-line {
      &::after,
      &::before {
        width: 26px;
        left: 0;
      }
    }
  }
}

@media screen and (max-width: 800px) {
  .header__name {
    display: none;
  }
}

@media screen and (max-width: 500px) {
  .header__catalog-img {
    img {
      width: 24px;
    }
  }

  .header__logo {
    position: inherit;
    width: 150px;
  }

  .header__btnMenu-line {
    width: 20px;

    &::after,
    &::before {
      width: 12px;
    }

    &::after {
      bottom: 6px;
    }
    &::before {
      top: 5px;
    }
  }
}

/* header MODAL start */
.modal {
  position: fixed;
  top: 0;
  right: -110%;
  width: 100%;
  background: var(--textLight);
  padding: 40px 0;
  height: 100vh;
  z-index: 1000;
  transition: all 0.4s linear;
  overflow-y: scroll;
}

.modal.active {
  top: 0;
  right: 0;
}

.modal__header {
  position: relative;
}

.modal__logo {
  margin: 0 auto;
}

.modal__cross {
  position: absolute;
  right: 0;
  top: 0;
}

.modal__list {
  margin: 45px 0 20px;
  display: flex;
  flex-direction: column;
  gap: 4vh;

  & > * {
    color: var(--textDark);
  }
}

.modal__item {
  margin: 0 auto;
  width: max-content;
  font-family: var(--TildaSans_Regular);
  border-bottom: 1px solid var(--textDark);
  font-size: 26px;
  line-height: 90%;
}

.modal__bottom {
  display: flex;
  flex-direction: column;
  gap: 12px;
  text-align: center;
  border-top: 1px solid var(--textColor);
  padding-top: 16px;

  & > * {
    font-size: 20px;
  }
}

.modal__name {
  font-family: var(--TildaSans_Medium);
  font-size: 20px;
}

.modal__contacts {
  margin: 0 auto;
  width: max-content;
  padding: 0 22px 9px;
  border-bottom: 1px solid var(--line);
  display: flex;
  flex-direction: column;
  gap: 6px;

  & > * {
    color: var(--textDark);
  }
}

.modal__tel {
  font-family: var(--TildaSans_SemiBold);
  color: var(--textTel);

  & > span {
    border-bottom: 2px solid var(--textTel);
  }
}

.modal__email {
  font-family: var(--TildaSans_Medium);
  border-bottom: 1px solid transparent;
}

.modal__social {
  display: flex;
  gap: 17px;
  margin: 0 auto;
}

.modal__social-link {
  width: 45px;
  height: 45px;
  img {
    width: 46px;
  }
}

@media (hover: hover) {
  .modal__item:hover {
    color: var(--textColor);
    border-bottom: 1px solid var(--textColor);
  }

  .modal__email:hover {
    border-bottom: 1px solid var(--textDark);
  }

  .modal__tel:hover {
    & > span {
      border-color: transparent;
    }
  }
}

@media screen and (max-width: 1800px) {
  .modal__content {
    max-width: 1000px;
    margin: 0 auto;
  }
}

@media screen and (max-width: 1000px) {
  .modal__cross {
    right: 40px;
  }
}
@media screen and (max-width: 600px) {
  .modal__cross {
    right: 0;
  }

  .modal__item {
    font-size: 20px;
  }

  .modal__name {
    font-size: 16px;
  }
}

/* header MODAL the_end */

/* HEADER SECTION the_end */
